Package org.opensaml.security.x509

# Interface PKIXValidationInformation

All Known Implementing Classes:
  `BasicPKIXValidationInformation`

public interface PKIXValidationInformation
Source of PKIX validation information such as trust anchors and CRLs.

## Method Summary

Modifier and Type
Method
Description
`Collection<X509Certificate>`
`getCertificates()`
Gets the certificate trust anchors used during PKIX validation.
`Collection<X509CRL>`
`getCRLs()`
Gets the CRLs used during PKIX validation.
`Integer`
`getVerificationDepth()`
Gets the maximum allowable trust chain verification depth.

## Method Details

### getVerificationDepth

@Nullable Integer getVerificationDepth()
Gets the maximum allowable trust chain verification depth.

Returns:
  maximum allowable trust chain verification depth

### getCertificates

@Nullable @Unmodifiable @NotLive Collection<X509Certificate> getCertificates()
Gets the certificate trust anchors used during PKIX validation.

Returns:
  trust anchors used during PKIX validation

### getCRLs

@Nullable @Unmodifiable @NotLive Collection<X509CRL> getCRLs()
Gets the CRLs used during PKIX validation.

Returns:
  CRLs used during PKIX validation